// msgscr.h
// Show message on display of the terminal;
//
// Opticon Sensors Europe B.V.

#ifndef __MESSAGE_SCREEN_H__
#define __MESSAGE_SCREEN_H__

//
// defines for the messages msg_type
//
#define MB_ALL					0x01
#define MB_YESNO				0x02
#define MB_HIDSPP				0x04

#define MB_ICONMASK				0xF0
#define MB_ICONWARNING			0x10
#define MB_ICONERROR			0x20
#define MB_ICONQUESTION			0x40
#define MB_ICONINFORMATION		0x80

//
// Language definitions
//
#define LANG_MSG_GB				0x01	// English
#define LANG_MSG_NL				0x01	// Dutch
#define LANG_MSG_D				0x01	// German
#define LANG_MSG_FR				0x01	// French

#define CONNECT					100

#define info_sound()	sound( TSHORT, VMEDIUM, SHIGH, SLOW, SHIGH, SHIGH, SLOW, 0)
#define keybeep()	sound(TSHORT,VMEDIUM,SHIGH,0)
#define okbeep() 	sound(TSTANDARD,VMEDIUM,SHIGH,SMEDIUM,SHIGH,0)
#define errbeep()	sound(TLONG,VMEDIUM,SLOW,SMEDIUM,SHIGH,0)
#define connectionbeep() sound(TVLONG, VHIGH, SHIGH, NULL)
void InitMessageScreen( void );

int ShowMessage( const char* message, const short language, const short msg_type, int exit_on_connect );

#endif // __MESSAGE_SCREEN_H__
